企业网站备案查询
请求Header:
| 名称 | 值 | |
|---|---|---|
| Content-Type | application/x-www-form-urlencoded |
请求参数说明:
| 名称 | 必填 | 类型 | 说明 | |
|---|---|---|---|---|
| key | 是 | string | 在个人中心->我的数据,接口名称上方查看 | |
| keyword | 是 | String | 搜索关键字(公司名称、公司id、注册号或社会统一信用代码) | |
| pageNum | 否 | Number | 当前页数(默认第1页) | |
| pageSize | 否 | Number | 每页条数(默认20条,最大20条) |
请求代码示例:
curl -k -i "https://v.juhe.cn/opens/App/iprIcp/query?key=key&keyword=xxx&pageNum=1&pageSize="
<?php
/**
* 1638-企业网站备案查询 - 代码参考(根据实际业务情况修改)
*/
// 基本参数配置
$apiUrl = "https://v.juhe.cn/opens/App/iprIcp/query"; // 接口请求URL
$method = "GET"; // 接口请求方式
$headers = ["Content-Type: application/x-www-form-urlencoded"]; // 接口请求header
$apiKey = "您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
$requestParams = [
'key' => $apiKey,
'keyword'=> 'xxx',
'pageNum'=> '1',
'pageSize'=> '',
];
$requestParamsStr = http_build_query($requestParams);
// 发起接口网络请求
$curl = curl_init();
curl_setopt($curl, CURLOPT_CUSTOMREQUEST, $method);
curl_setopt($curl, CURLOPT_URL, $apiUrl . '?' . $requestParamsStr);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_FAILONERROR, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
if (1 == strpos("$" . $apiUrl, "https://")) {
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
}
$response = curl_exec($curl);
$httpInfo = curl_getinfo($curl);
curl_close($curl);
// 解析响应结果
$responseResult = json_decode($response, true);
if ($responseResult) {
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
var_dump($responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
// var_dump($httpInfo);
var_dump("请求异常");
}
import requests
# 1638-企业网站备案查询 - 代码参考(根据实际业务情况修改)
# 基本参数配置
apiUrl = 'https://v.juhe.cn/opens/App/iprIcp/query' # 接口请求URL
apiKey = '您申请的调用APIkey' # 在个人中心->我的数据,接口名称上方查看
# 接口请求入参配置
requestParams = {
'key': apiKey,
'keyword': 'xxx',
'pageNum': '1',
'pageSize': '',
}
# 发起接口网络请求
response = requests.get(apiUrl, params=requestParams)
# 解析响应结果
if response.status_code == 200:
responseResult = response.json()
# 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
print(responseResult)
else:
# 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
print('请求异常')
package main
import (
"encoding/json"
"fmt"
"net/http"
"net/url"
)
func main() {
// 基本参数配置
apiUrl := "https://v.juhe.cn/opens/App/iprIcp/query"
apiKey := "您申请的调用APIkey"
// 接口请求入参配置
requestParams := url.Values{}
requestParams.Set("key", apiKey)
requestParams.Set("keyword", "xxx")
requestParams.Set("pageNum", "1")
requestParams.Set("pageSize", "")
// 发起接口网络请求
resp, err := http.Get(apiUrl + "?" + requestParams.Encode())
if err != nil {
fmt.Println("网络请求异常:", err)
return
}
defer resp.Body.Close()
var responseResult map[string]interface{}
err = json.NewDecoder(resp.Body).Decode(&responseResult)
if err != nil {
fmt.Println("解析响应结果异常:", err)
return
}
fmt.Println(responseResult)
}
using System;
using System.Net;
using Newtonsoft.Json;
using System.Collections.Generic;
using System.Linq;
namespace Common_API_Test.Test_Demo
{
class Csharp_get
{
static void Main(string[] args)
{
string url = "https://v.juhe.cn/opens/App/iprIcp/query";
string apiKey = "您申请的调用APIkey";
Dictionary<string, string> data = new Dictionary<string, string>();
data.Add("key", apiKey);
data.Add( "keyword", "xxx");
data.Add( "pageNum", "1");
data.Add( "pageSize", "");
using (WebClient client = new WebClient())
{
string fullUrl = url + "?" + string.Join("&", data.Select(x => x.Key + "=" + x.Value));
try
{
string responseContent = client.DownloadString(fullUrl);
dynamic responseData = JsonConvert.DeserializeObject(responseContent);
if (responseData != null)
{
Console.WriteLine("Return Code: " + responseData["error_code"]);
Console.WriteLine("Return Message: " + responseData["reason"]);
}
else
{
Console.WriteLine("json解析异常!");
}
}
catch (Exception)
{
Console.WriteLine("请检查其它错误");
}
}
}
}
}
const axios = require('axios'); // npm install axios
// 基本参数配置
const apiUrl = 'https://v.juhe.cn/opens/App/iprIcp/query'; // 接口请求URL
const apiKey = '您申请的调用APIkey'; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
const requestParams = {
key: apiKey,
keyword: 'xxx',
pageNum: '1',
pageSize: '',
};
// 发起接口网络请求
axios.get(apiUrl, {params: requestParams})
.then(response => {
// 解析响应结果
if (response.status === 200) {
const responseResult = response.data;
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
console.log(responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
console.log('请求异常');
}
})
.catch(error => {
// 网络请求失败,可以根据实际情况进行处理
console.log('网络请求失败:', error);
});
package cn.juhe.test;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;
import java.util.stream.Collectors;
public class JavaGet {
public static void main(String[] args) throws Exception {
String apiKey = "你申请的key";
String apiUrl = "https://v.juhe.cn/opens/App/iprIcp/query";
HashMap<String, String> map = new HashMap<>();
map.put("key", apiKey);
map.put("keyword", "xxx");
map.put("pageNum", "1");
map.put("pageSize", "");
URL url = new URL(String.format("%s?%s", apiUrl, params(map)));
BufferedReader in = new BufferedReader(new InputStreamReader((url.openConnection()).getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response);
}
public static String params(Map<String, String> map) {
return map.entrySet().stream()
.map(entry -> {
try {
return entry.getKey() + "=" + URLEncoder.encode(entry.getValue(), StandardCharsets.UTF_8.toString());
} catch (Exception e) {
e.printStackTrace();
return entry.getKey() + "=" + entry.getValue();
}
})
.collect(Collectors.joining("&"));
}
}
// 基本参数配置
NSString *apiUrl = @"https://v.juhe.cn/opens/App/iprIcp/query"; // 接口请求URL
NSString *apiKey = @"您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
NSDictionary *requestParams = @{
@"key": apiKey,
@"keyword": @"xxx",
@"pageNum": @"1",
@"pageSize": @"",
};
// 发起接口网络请求
NSURLComponents *components = [NSURLComponents componentsWithString:apiUrl];
NSMutableArray *queryItems = [NSMutableArray array];
[requestParams enumerateKeysAndObjectsUsingBlock:^(NSString *key, NSString *value, BOOL *stop) {
[queryItems addObject:[NSURLQueryItem queryItemWithName:key value:value]];
}];
components.queryItems = queryItems;
NSURL *url = components.URL;
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
// 网络请求异常处理
NSLog(@"请求异常");
} else {
NSError *jsonError;
NSDictionary *responseResult = [NSJSONSerialization JSONObjectWithData:data options:0 error:&jsonError];
if (!jsonError) {
// 网络请求成功处理
// NSLog(@"%@", [responseResult objectForKey:@"error_code"]);
NSLog(@"%@", responseResult);
} else {
// 解析结果异常处理
NSLog(@"解析结果异常");
}
}
}];
[task resume];
返回参数说明:
| 名称 | 类型 | 说明 | |
|---|---|---|---|
| total | Number | 总数 | |
| items | Array | ||
| webSite | Array | 网址 | |
| examineDate | String | 审核日期 | |
| companyType | String | 公司类型 | |
| webName | String | 网站名称 | |
| ym | String | 域名 | |
| liscense | String | 许可证 | |
| companyName | String | 公司名称 | |
| error_code | string | 状态码 | |
| reason | string | 说明 | |
| result | object | 结果 | |
JSON返回示例:JSON在线格式化工具 >
{
"result": {
"total": 257,
"items": [
{
"webSite": [
"www.wenku.in"
],
"ym": "wenku.in",
"companyType": "企业",
"liscense": "京ICP证030173号-87",
"examineDate": "2021-03-25",
"webName": "百度文库门户",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.dulife.com"
],
"ym": "dulife.com",
"companyType": "企业",
"liscense": "京ICP证030173号-107",
"examineDate": "2021-03-25",
"webName": "小度智能门户",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.dushifen.com"
],
"ym": "dushifen.com",
"companyType": "企业",
"liscense": "京ICP证030173号-131",
"examineDate": "2021-03-25",
"webName": "度十分",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.aiqicha.cn"
],
"ym": "aiqicha.cn",
"companyType": "企业",
"liscense": "京ICP证030173号-160",
"examineDate": "2021-03-25",
"webName": "爱企查",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.hao123.com"
],
"ym": "hao123img.com",
"companyType": "企业",
"liscense": "京ICP证030173号-25",
"examineDate": "2021-03-25",
"webName": "网址之家",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.baidu-bank.com"
],
"ym": "baihangdai.cn",
"companyType": "企业",
"liscense": "京ICP证030173号-32",
"examineDate": "2021-03-25",
"webName": "百度金融",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.baidu-bank.com"
],
"ym": "baidu-bank.cn",
"companyType": "企业",
"liscense": "京ICP证030173号-32",
"examineDate": "2021-03-25",
"webName": "百度金融",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.baidu-bank.com"
],
"ym": "baiduxiaodai.cn",
"companyType": "企业",
"liscense": "京ICP证030173号-32",
"examineDate": "2021-03-25",
"webName": "百度金融",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.bddns.cn"
],
"ym": "bddns.cn",
"companyType": "企业",
"liscense": "京ICP证030173号-35",
"examineDate": "2021-03-25",
"webName": "百度网站管家",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.Cloudajs.org"
],
"ym": "cloudajs.org",
"companyType": "企业",
"liscense": "京ICP证030173号-42",
"examineDate": "2021-03-25",
"webName": "百度开放云Clouda开放框架官方网站",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.bdbae.com"
],
"ym": "bdbae.com",
"companyType": "企业",
"liscense": "京ICP证030173号-54",
"examineDate": "2021-03-25",
"webName": "百度应用引擎",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.openrasp.net.cn"
],
"ym": "openrasp.net.cn",
"companyType": "企业",
"liscense": "京ICP证030173号-75",
"examineDate": "2021-03-25",
"webName": "OpenRASP",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.yjs-cdn9.com"
],
"ym": "yjs-cdn9.com",
"companyType": "企业",
"liscense": "京ICP证030173号-95",
"examineDate": "2021-03-25",
"webName": "百度云加速",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.baiduads.com"
],
"ym": "baiduads.com",
"companyType": "企业",
"liscense": "京ICP证030173号-106",
"examineDate": "2021-03-25",
"webName": "北京百度网讯科技有限公司",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.haokan.com"
],
"ym": "haokan.com",
"companyType": "企业",
"liscense": "京ICP证030173号-144",
"examineDate": "2021-03-25",
"webName": "好看",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.baiduwebgame.com"
],
"ym": "baiduwebgame.com",
"companyType": "企业",
"liscense": "京ICP证030173号-4",
"examineDate": "2021-03-25",
"webName": "百度游戏联运产品",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.duxuetang.com"
],
"ym": "duxuetang.cn",
"companyType": "企业",
"liscense": "京ICP证030173号-43",
"examineDate": "2021-03-25",
"webName": "度学堂",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.baidubce.com"
],
"ym": "baidubce.net.cn",
"companyType": "企业",
"liscense": "京ICP证030173号-47",
"examineDate": "2021-03-25",
"webName": "百度公有云-开放云",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.baidubce.com"
],
"ym": "baiduwaf.com",
"companyType": "企业",
"liscense": "京ICP证030173号-47",
"examineDate": "2021-03-25",
"webName": "百度公有云-开放云",
"companyName": "北京百度网讯科技有限公司"
},
{
"webSite": [
"www.baidubce.com"
],
"ym": "bcebos.com",
"companyType": "企业",
"liscense": "京ICP证030173号-47",
"examineDate": "2021-03-25",
"webName": "百度公有云-开放云",
"companyName": "北京百度网讯科技有限公司"
}
]
},
"reason": "success",
"error_code": 0
}
服务级错误码参照(error_code):
| 错误码 | 说明 | |
|---|---|---|
| 263600 | 网络超时,请稍后再试 | |
| 263601 | 参数缺失 | |
| 263602 | 参数不合法 | |
| 263603 | 请求失败 | |
| 263604 | 查询无结果 | |
| 263605 | 未知错误 |
系统级错误码参照:
| 错误码 | 说明 | 旧版本(resultcode) | |
|---|---|---|---|
| 10001 | 错误的请求KEY | 101 | |
| 10002 | 该KEY无请求权限 | 102 | |
| 10003 | KEY过期 | 103 | |
| 10004 | 错误的OPENID | 104 | |
| 10005 | 应用未审核超时,请提交认证 | 105 | |
| 10007 | 未知的请求源 | 107 | |
| 10008 | 被禁止的IP | 108 | |
| 10009 | 被禁止的KEY | 109 | |
| 10011 | 当前IP请求超过限制 | 111 | |
| 10012 | 请求超过次数限制 | 112 | |
| 10013 | 测试KEY超过请求限制 | 113 | |
| 10014 | 系统内部异常(调用充值类业务时,请务必联系客服或通过订单查询接口检测订单,避免造成损失) | 114 | |
| 10020 | 接口维护 | 120 | |
| 10021 | 接口停用 | 121 |
错误码格式说明(示例:200201):
| 2 | 002 | 01 | |
|---|---|---|---|
| 服务级错误(1为系统级错误) | 服务模块代码(即数据ID) | 具体错误代码 |
接口文档下载
苏公网安备 32059002001776号